Package org.eclipse.rdf4j.query.impl

## Class ListBindingSet

- java.lang.Object
- - org.eclipse.rdf4j.query.AbstractBindingSet
  - - org.eclipse.rdf4j.query.impl.ListBindingSet

- All Implemented Interfaces:
    `Serializable`, `Iterable<Binding>`, `BindingSet`

      public class ListBindingSet
      extends AbstractBindingSet

  A List-based implementation of the `BindingSet` interface.
  Author:
    Arjohn Kampman
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ListBindingSet​(List<String> bindingNames, List<? extends Value> values)` | Creates a new List-based BindingSet containing the supplied bindings.
    `ListBindingSet​(List<String> names, Value... values)` | Creates a new List-based BindingSet containing the supplied bindings.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Binding` | `getBinding​(String bindingName)` | Gets the binding with the specified name from this BindingSet.
    `Set<String>` | `getBindingNames()` | Gets the names of the bindings in this BindingSet.
    `Value` | `getValue​(String bindingName)` | Gets the value of the binding with the specified name from this BindingSet.
    `boolean` | `hasBinding​(String bindingName)` | Checks whether this BindingSet has a binding with the specified name.
    `Iterator<Binding>` | `iterator()` | Creates an iterator over the bindings in this BindingSet.
    `int` | `size()` | Returns the number of bindings in this BindingSet.

    - ### Methods inherited from class org.eclipse.rdf4j.query.AbstractBindingSet

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.BindingSet

      `isEmpty`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### ListBindingSet

          public ListBindingSet​(List<String> names,
                                Value... values)

      Creates a new List-based BindingSet containing the supplied bindings. The supplied list of binding names is assumed to be constant; care should be taken that the contents of this list doesn't change after supplying it to this solution. The number of supplied values must be equal to the number of the binding names.
      Parameters:
        `names` - The binding names.
        `values` - The binding values.

    - #### ListBindingSet

          public ListBindingSet​(List<String> bindingNames,
                                List<? extends Value> values)

      Creates a new List-based BindingSet containing the supplied bindings. The supplied lists are assumed to be constant; care should be taken that the contents of these lists don't change after supplying them to this solution. The number of supplied values must be equal to the number of the binding names.
      Parameters:
        `bindingNames` - The binding names.
        `values` - The binding values.

  - ### Method Detail

    - #### getBindingNames

          public Set<String> getBindingNames()

      Description copied from interface: `BindingSet`
      Gets the names of the bindings in this BindingSet.
      Returns:
        A set of binding names.

    - #### getValue

          public Value getValue​(String bindingName)

      Description copied from interface: `BindingSet`
      Gets the value of the binding with the specified name from this BindingSet.
      Parameters:
        `bindingName` - The name of the binding.
      Returns:
        The value of the binding with the specified name, or null if there is no such binding in this BindingSet.

    - #### getBinding

          public Binding getBinding​(String bindingName)

      Description copied from interface: `BindingSet`
      Gets the binding with the specified name from this BindingSet.
      Parameters:
        `bindingName` - The name of the binding.
      Returns:
        The binding with the specified name, or null if there is no such binding in this BindingSet.

    - #### hasBinding

          public boolean hasBinding​(String bindingName)

      Description copied from interface: `BindingSet`
      Checks whether this BindingSet has a binding with the specified name.
      Parameters:
        `bindingName` - The name of the binding.
      Returns:
        true if this BindingSet has a binding with the specified name, false otherwise.

    - #### iterator

          public Iterator<Binding> iterator()

      Description copied from interface: `BindingSet`
      Creates an iterator over the bindings in this BindingSet. This only returns bindings with non-null values. An implementation is free to return the bindings in arbitrary order.

    - #### size

          public int size()

      Description copied from interface: `BindingSet`
      Returns the number of bindings in this BindingSet.
      Returns:
        The number of bindings in this BindingSet.